UpdateHttpMonitorDetails¶
- class oci.healthchecks.models.UpdateHttpMonitorDetails(**kwargs)¶
Bases:
objectThe request body used to update an HTTP monitor.
Attributes:
A constant which can be used with the method property of a UpdateHttpMonitorDetails.
A constant which can be used with the method property of a UpdateHttpMonitorDetails.
A constant which can be used with the protocol property of a UpdateHttpMonitorDetails.
A constant which can be used with the protocol property of a UpdateHttpMonitorDetails.
Gets the defined_tags of this UpdateHttpMonitorDetails.
Gets the display_name of this UpdateHttpMonitorDetails.
Gets the freeform_tags of this UpdateHttpMonitorDetails.
Gets the headers of this UpdateHttpMonitorDetails.
Gets the interval_in_seconds of this UpdateHttpMonitorDetails.
Gets the is_enabled of this UpdateHttpMonitorDetails.
Gets the method of this UpdateHttpMonitorDetails.
Gets the path of this UpdateHttpMonitorDetails.
Gets the port of this UpdateHttpMonitorDetails.
Gets the protocol of this UpdateHttpMonitorDetails.
Gets the targets of this UpdateHttpMonitorDetails.
Gets the timeout_in_seconds of this UpdateHttpMonitorDetails.
Gets the vantage_point_names of this UpdateHttpMonitorDetails.
Methods:
__init__(**kwargs)Initializes a new UpdateHttpMonitorDetails object with values from keyword arguments.
- METHOD_GET = 'GET'¶
A constant which can be used with the method property of a UpdateHttpMonitorDetails. This constant has a value of “GET”
- METHOD_HEAD = 'HEAD'¶
A constant which can be used with the method property of a UpdateHttpMonitorDetails. This constant has a value of “HEAD”
- PROTOCOL_HTTP = 'HTTP'¶
A constant which can be used with the protocol property of a UpdateHttpMonitorDetails. This constant has a value of “HTTP”
- PROTOCOL_HTTPS = 'HTTPS'¶
A constant which can be used with the protocol property of a UpdateHttpMonitorDetails. This constant has a value of “HTTPS”
- __init__(**kwargs)¶
Initializes a new UpdateHttpMonitorDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
targets (list[str]) – The value to assign to the targets property of this UpdateHttpMonitorDetails.
vantage_point_names (list[str]) – The value to assign to the vantage_point_names property of this UpdateHttpMonitorDetails.
port (int) – The value to assign to the port property of this UpdateHttpMonitorDetails.
timeout_in_seconds (int) – The value to assign to the timeout_in_seconds property of this UpdateHttpMonitorDetails.
protocol (str) – The value to assign to the protocol property of this UpdateHttpMonitorDetails. Allowed values for this property are: “HTTP”, “HTTPS”
method (str) – The value to assign to the method property of this UpdateHttpMonitorDetails. Allowed values for this property are: “GET”, “HEAD”
path (str) – The value to assign to the path property of this UpdateHttpMonitorDetails.
headers (dict(str, str)) – The value to assign to the headers property of this UpdateHttpMonitorDetails.
display_name (str) – The value to assign to the display_name property of this UpdateHttpMonitorDetails.
interval_in_seconds (int) – The value to assign to the interval_in_seconds property of this UpdateHttpMonitorDetails.
is_enabled (bool) – The value to assign to the is_enabled property of this UpdateHttpMonitorDetails.
freeform_tags (dict(str, str)) – The value to assign to the freeform_tags property of this UpdateHttpMonitorDetails.
defined_tags (dict(str, dict(str, object))) – The value to assign to the defined_tags property of this UpdateHttpMonitorDetails.
- property defined_tags¶
Gets the defined_tags of this UpdateHttpMonitorDetails. Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {“Operations”: {“CostCenter”: “42”}}
- Returns
The defined_tags of this UpdateHttpMonitorDetails.
- Return type
dict(str, dict(str, object))
- property display_name¶
Gets the display_name of this UpdateHttpMonitorDetails. A user-friendly and mutable name suitable for display in a user interface.
- Returns
The display_name of this UpdateHttpMonitorDetails.
- Return type
str
- property freeform_tags¶
Gets the freeform_tags of this UpdateHttpMonitorDetails. Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {“Department”: “Finance”}
- Returns
The freeform_tags of this UpdateHttpMonitorDetails.
- Return type
dict(str, str)
- property headers¶
Gets the headers of this UpdateHttpMonitorDetails. A dictionary of HTTP request headers.
Note: Monitors and probes do not support the use of the Authorization HTTP header.
- Returns
The headers of this UpdateHttpMonitorDetails.
- Return type
dict(str, str)
- property interval_in_seconds¶
Gets the interval_in_seconds of this UpdateHttpMonitorDetails. The monitor interval in seconds. Valid values: 10, 30, and 60.
- Returns
The interval_in_seconds of this UpdateHttpMonitorDetails.
- Return type
int
- property is_enabled¶
Gets the is_enabled of this UpdateHttpMonitorDetails. Enables or disables the monitor. Set to ‘true’ to launch monitoring.
- Returns
The is_enabled of this UpdateHttpMonitorDetails.
- Return type
bool
- property method¶
Gets the method of this UpdateHttpMonitorDetails. Allowed values for this property are: “GET”, “HEAD”
- Returns
The method of this UpdateHttpMonitorDetails.
- Return type
str
- property path¶
Gets the path of this UpdateHttpMonitorDetails. The optional URL path to probe, including query parameters.
- Returns
The path of this UpdateHttpMonitorDetails.
- Return type
str
- property port¶
Gets the port of this UpdateHttpMonitorDetails. The port on which to probe endpoints. If unspecified, probes will use the default port of their protocol.
- Returns
The port of this UpdateHttpMonitorDetails.
- Return type
int
- property protocol¶
Gets the protocol of this UpdateHttpMonitorDetails. Allowed values for this property are: “HTTP”, “HTTPS”
- Returns
The protocol of this UpdateHttpMonitorDetails.
- Return type
str
- property targets¶
Gets the targets of this UpdateHttpMonitorDetails. A list of targets (hostnames or IP addresses) of the probe.
- Returns
The targets of this UpdateHttpMonitorDetails.
- Return type
list[str]
- property timeout_in_seconds¶
Gets the timeout_in_seconds of this UpdateHttpMonitorDetails. The probe timeout in seconds. Valid values: 10, 20, 30, and 60. The probe timeout must be less than or equal to intervalInSeconds for monitors.
- Returns
The timeout_in_seconds of this UpdateHttpMonitorDetails.
- Return type
int
- property vantage_point_names¶
Gets the vantage_point_names of this UpdateHttpMonitorDetails. A list of names of vantage points from which to execute the probe.
- Returns
The vantage_point_names of this UpdateHttpMonitorDetails.
- Return type
list[str]